LEECHCRAFT(1)

NAME
LeechCraft - Extensible plugin-based internet-client

SYNOPSIS
leechcraft [options] [entity]

DESCRIPTION
LeechCraft is an extensible cross-platfrom plugin-based internet-client. Currently plugins include, but are not limited to, Poshuku (WebKit-based browser), BitTorrent (BitTorrent client), Aggregator (RSS/Atom feed reader) and SeekThru (OpenSearch client).

OPTIONS

  Common Qt Options

-style style, -style=style
    Specify the Qt widget style to use (examples: plastique, cleanlooks).

-stylesheet stylesheet, -stylesheet=stylesheet
    Specify the user stylesheet to use when rendering widgets.

-reverse
    Sets the application's layout direction to right-to-left.

  Options Specific to LeechCraft

entity
    The entity to handle by LeechCraft. This could be, for example, a torrent file name or an URL.

-automatic
    Don't consider this entity to be added as a result of user's action. This way LeechCraft would try to minimize the number of dialogues with user. Suitable for adding entities from cron or some other sources, where the user could be AFK.

-handle
    The item should be handled only. Useful when settings LeechCraft as default browser. This way it won't ask if the item should be open in Poshuku or downloaded to the disk.

-download
    The item should be downloaded only, similar to the previous option.

-nolog
    Disable custom logger to the files in ~/.leechcraft and print everything to stdout/stderr.

-bt Print backtrace with warning-level log messages.

-clrsckt
    Clear stalled local socket. Useful when LeechCraft doesn't start up and you know that no other instances are running.

-autorestart
    Automatically restart if closed. This is done via Session Manager, so it won't work everywhere.

-help
    Print short help message.

BUGS
Please report bugs to http://leechcraft.org.

AUTHOR
The author of LeechCraft is Georg Rudoy <0xd34df00d@gmail.com>.

This manual page was written by Georg Rudoy <0xd34df00d@gmail.com>.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Lesser General Public License, Version 3 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/LGPL.